gsm_23_003.h File Reference

Go to the source code of this file.

## Macros

#define | GSM23003_IMSI_MAX_DIGITS 15
#define | GSM23003_IMSI_MIN_DIGITS 6
#define | GSM23003_TMSI_NUM_BYTES 4
#define | GSM23003_LMSI_NUM_BYTES 4
#define | GSM23003_TLLI_NUM_BYTES 4
#define | GSM23003_PTMSI_SIG_NUM_BYTES 3
#define | GSM23003_MME_CODE_NUM_BYTES 1
#define | GSM23003_MME_GROUP_NUM_BYTES 2
#define | GSM23003_MTMSI_NUM_BYTES 4
#define | GSM23003_IMEI_TAC_NUM_DIGITS 8
#define | GSM23003_IMEI_SNR_NUM_DIGITS 6
#define | GSM23003_IMEI_NUM_DIGITS
#define | GSM23003_IMEISV_NUM_DIGITS

## Macro Definition Documentation

## GSM23003_IMEI_NUM_DIGITS

#define GSM23003_IMEI_NUM_DIGITS

Value:
(GSM23003_IMEI_TAC_NUM_DIGITS + \
GSM23003_IMEI_SNR_NUM_DIGITS + 1)

## GSM23003_IMEI_SNR_NUM_DIGITS

#define GSM23003_IMEI_SNR_NUM_DIGITS 6

## GSM23003_IMEI_TAC_NUM_DIGITS

#define GSM23003_IMEI_TAC_NUM_DIGITS 8

## GSM23003_IMEISV_NUM_DIGITS

#define GSM23003_IMEISV_NUM_DIGITS

Value:
(GSM23003_IMEI_TAC_NUM_DIGITS + \
GSM23003_IMEI_SNR_NUM_DIGITS + 2)

## GSM23003_IMSI_MAX_DIGITS

#define GSM23003_IMSI_MAX_DIGITS 15

## GSM23003_IMSI_MIN_DIGITS

#define GSM23003_IMSI_MIN_DIGITS 6

## GSM23003_LMSI_NUM_BYTES

#define GSM23003_LMSI_NUM_BYTES 4

## GSM23003_MME_CODE_NUM_BYTES

#define GSM23003_MME_CODE_NUM_BYTES 1

## GSM23003_MME_GROUP_NUM_BYTES

#define GSM23003_MME_GROUP_NUM_BYTES 2

## GSM23003_MTMSI_NUM_BYTES

#define GSM23003_MTMSI_NUM_BYTES 4

## GSM23003_PTMSI_SIG_NUM_BYTES

#define GSM23003_PTMSI_SIG_NUM_BYTES 3

## GSM23003_TLLI_NUM_BYTES

#define GSM23003_TLLI_NUM_BYTES 4

## GSM23003_TMSI_NUM_BYTES

#define GSM23003_TMSI_NUM_BYTES 4

GSM23003_IMEI_TAC_NUM_DIGITS
#define GSM23003_IMEI_TAC_NUM_DIGITS
Definition: gsm_23_003.h:21